✨ Retrieve SAML2 Settings
Authentication
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Response
Live seat usage and limits by seat type (Standard, View Only, Flex).
Organization web domain or domains; use comma separated list with no spaces for multiple. Example:
labelstud.io,humansignal.com
IMPORTANT: DO NOT PUT COMMON DOMAINS LIKE GMAIL.COM, YAHOO.COM, ETC. IN THIS FIELD
Identity Provider preset key (e.g. okta, azure, google, custom)
Allow manually assigning organization roles instead of IdP-managed groups. None = use billing default.
Mapping attributes: user email from SAML request
Mapping attributes: user first name from SAML request
Mapping attributes: groups attribute for user mapping to workspaces and roles
Mapping attributes: user last name from SAML request
Projects to Groups Mapping. List of objects with project_id, group, role.
Organization Roles to Groups Mapping. List of [role_name, group_name] pairs.
Seat Types to Groups Mapping. List of [seat_type, group_name] pairs.
Workspaces to Groups Mapping. List of [workspace_title, group_name] pairs.